org.jboss.jca.deployers.fungal

## Class RADeployer

- java.lang.Object
- - org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer
  - - org.jboss.jca.deployers.fungal.AbstractFungalRADeployer
    - - org.jboss.jca.deployers.fungal.RADeployer

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.Deployer

      public class RADeployer
      extends AbstractFungalRADeployer
      implements com.github.fungal.spi.deployers.Deployer

  The RA deployer for JCA/SJC
  Author:
    Jesper Pedersen, Jeff Zhang, Stefano Maestri

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.deployers.fungal.AbstractFungalRADeployer

      `kernel`

    - ### Fields inherited from class org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer

      `validateClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RADeployer()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(java.net.URL url)`
    `protected boolean` | `checkActivation(org.jboss.jca.common.api.metadata.spec.Connector cmd, org.jboss.jca.common.api.metadata.resourceadapter.Activation activation)` Check if the resource adapter should be activated based on the ironjacamar.xml input
    `protected void` | `cleanTemporaryFiles(java.net.URL url)` Clean all potential temporary files
    `com.github.fungal.spi.deployers.Deployment` | `deploy(java.net.URL url, com.github.fungal.spi.deployers.Context context, java.lang.ClassLoader parent)`
    `protected java.io.File` | `getFileFromUrl(java.net.URL url)` Get File object of URL who locate a rar resource
    `protected java.lang.String` | `getIronJacamarHome()` Get IronJacamar Home directory
    `protected org.jboss.jca.deployers.DeployersLogger` | `getLogger()` Get the logger
    `int` | `getOrder()`

    - ### Methods inherited from class org.jboss.jca.deployers.fungal.AbstractFungalRADeployer

      `bindAdminObject, bindAdminObject, bindConnectionFactory, bindConnectionFactory, checkConfigurationIsValid, getCachedConnectionManager, getKernel, getLogPrintWriter, getReportDirectory, getSubjectFactory, getTransactionIntegration, getTransactionManager, getUrls, initAndInject, registerManagementView, registerResourceAdapterToMDR, registerResourceAdapterToResourceAdapterRepository, setKernel, setRecoveryForResourceAdapterInResourceAdapterRepository, start`

    - ### Methods inherited from class org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer

      `applyCapacity, associateResourceAdapter, buildJndiName, createCallback, createObjectsAndInjectValue, createPoolConfiguration, createSubject, findAdminObjects, findConnectionDefinitions, getBeanValidation, getConfiguration, hasFailuresLevel, initActivationSpec, initAdminObject, printFailuresLog, requireExplicitJndiBindings, scanArchive, setCallbackSecurity, setConfiguration, startContext, validateArchive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RADeployer

          public RADeployer()

      Constructor

  - ### Method Detail

    - #### getLogger

          protected org.jboss.jca.deployers.DeployersLogger getLogger()

      Get the logger
      Specified by:
        `getLogger` in class `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Returns:
        The value

    - #### accepts

          public boolean accepts(java.net.URL url)

      Specified by:
        `accepts` in interface `com.github.fungal.spi.deployers.Deployer`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `com.github.fungal.spi.deployers.Deployer`

    - #### deploy

          public com.github.fungal.spi.deployers.Deployment deploy(java.net.URL url,
                                                                   com.github.fungal.spi.deployers.Context context,
                                                                   java.lang.ClassLoader parent)
                                                            throws com.github.fungal.spi.deployers.DeployException

      Specified by:
        `deploy` in interface `com.github.fungal.spi.deployers.Deployer`
      Throws:
        `com.github.fungal.spi.deployers.DeployException`

    - #### getFileFromUrl

          protected java.io.File getFileFromUrl(java.net.URL url)
                                         throws java.net.URISyntaxException,
                                                java.io.IOException

      Get File object of URL who locate a rar resource
      Parameters:
        `url` - url of the archive
      Returns:
        a File object pointing of rar resources
      Throws:
        `java.net.URISyntaxException` - Thrown if the resource adapter cant be found
        `java.io.IOException` - Thrown if the resource adapter cant be accessible

    - #### getIronJacamarHome

          protected java.lang.String getIronJacamarHome()

      Get IronJacamar Home directory
      Returns:
        a String object

    - #### cleanTemporaryFiles

          protected void cleanTemporaryFiles(java.net.URL url)
                                      throws com.github.fungal.spi.deployers.DeployException

      Clean all potential temporary files
      Parameters:
        `url` - url of the archive
      Throws:
        `com.github.fungal.spi.deployers.DeployException` - Thrown if the resource cant be cleaned

    - #### checkActivation

          protected boolean checkActivation(org.jboss.jca.common.api.metadata.spec.Connector cmd,
                                            org.jboss.jca.common.api.metadata.resourceadapter.Activation activation)

      Check if the resource adapter should be activated based on the ironjacamar.xml input
      Specified by:
        `checkActivation` in class `org.jboss.jca.deployers.common.AbstractResourceAdapterDeployer`
      Parameters:
        `cmd` - The connector metadata
        `activation` - The activation metadata
      Returns:
        True if the deployment should be activated; otherwise false

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)